Mac OS X Multiple Vulnerabilities (Security Update 2004-05-24)

Medium Nessus Plugin ID 12519


The remote host is missing a Mac OS X update that fixes a security issue.


The remote host is missing Security Update 2004-05-24. This security update includes fixes for the following components :

HelpViewer Terminal

This update fixes security issues that could allow an attacker to execute arbitrary commands on the remote host by exploiting a flaw in Safari and the components listed above. A remote attacker could exploit this flaw by tricking a user into visiting a malicious website.


Install Security Update 2004-05-24.

See Also

Plugin Details

Severity: Medium

ID: 12519

File Name: macosx_SecUpd20040524.nasl

Version: $Revision: 1.12 $

Type: local

Agent: macosx

Published: 2004/07/06

Modified: 2013/03/05

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:apple:mac_os_x

Required KB Items: Host/MacOSX/packages

Patch Publication Date: 2004/05/21

Vulnerability Publication Date: 2004/05/14

Reference Information

CVE: CVE-2004-0485, CVE-2004-0486

OSVDB: 6184, 6536